declare type OptionsType = {
    label: string;
    value: string | number;
};
declare type AutosizeType = {
    minRows: number;
    maxRows: number;
};
export declare type FormConfigType = {
    componentType: 'text' | 'sms' | 'switch' | 'checkbox' | 'radio' | 'stepper' | 'rate' | 'slider' | 'select' | 'date' | 'uploader';
    type?: 'text' | 'textarea' | 'password' | 'year' | 'month' | 'date' | 'dates' | 'datetime' | 'week' | 'datetimerange' | 'daterange' | 'monthrange';
    key: string;
    defaultValue?: any;
    rules?: Array<object>;
    label?: string;
    visible?: boolean;
    maxlength?: number;
    placeholder?: string;
    disabled?: boolean;
    showPassword?: boolean;
    suffixIcon?: string;
    prefixIcon?: string;
    showWordLimit?: boolean;
    rows?: number;
    autosize?: AutosizeType;
    dateFormat?: 'YYYY-MM-DD' | 'YYYY-MM-DD HH:mm:ss';
    startPlaceholder?: string;
    endPlaceholder?: string;
    separator?: string;
    shortcuts?: Array<any>;
    disabledDate?: (time: Date) => boolean;
    options?: Array<OptionsType>;
    min?: number;
    max?: number;
    multiple?: boolean;
    accept?: string;
    maxCount?: number;
    tip?: string;
    remote?: boolean;
    confirmCallback(formModel: any, formModels: any, opt: any, formConfigList?: any): void;
    formatter?: (str: string) => string;
};
export {};
